Snapshots
Permanently delete snapshot data
Confirm and accept irreversible background deletion of a snapshot.
DELETE
/
snapshots
/
{snapshotId}
Permanently delete snapshot data
curl --request DELETE \
--url https://ascii.dev/api/box/v1/snapshots/{snapshotId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Ascii-Confirm-Delete: <x-ascii-confirm-delete>'import requests
url = "https://ascii.dev/api/box/v1/snapshots/{snapshotId}"
headers = {
"X-Ascii-Confirm-Delete": "<x-ascii-confirm-delete>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'X-Ascii-Confirm-Delete': '<x-ascii-confirm-delete>',
Authorization: 'Bearer <token>'
}
};
fetch('https://ascii.dev/api/box/v1/snapshots/{snapshotId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"type": "deletion.operation",
"operation": {
"id": "<string>",
"kind": "box",
"targetId": "<string>",
"reason": "explicit",
"status": "pending",
"attemptCount": 1,
"requestedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"ok": false,
"type": "box.error",
"status": 401,
"code": "unauthorized",
"message": "Unauthorized",
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"status": 401
},
"requestId": "req_01HX..."
}{
"ok": false,
"type": "box.error",
"status": 403,
"code": "forbidden",
"message": "Forbidden",
"error": {
"code": "forbidden",
"message": "Forbidden",
"status": 403
},
"requestId": "req_01HX..."
}{
"ok": false,
"type": "box.error",
"status": 409,
"code": "provider_not_configured",
"message": "Prompting is locked until Codex is configured on the Agents page.",
"requestId": "req_01HX...",
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
}
}{
"ok": false,
"type": "box.error",
"status": 409,
"code": "provider_not_configured",
"message": "Prompting is locked until Codex is configured on the Agents page.",
"requestId": "req_01HX...",
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
}
}Authorizations
Box bearer token in the form box_.... Service API keys authenticate Box operations.
Headers
Must exactly equal the target boxId or snapshotId. A missing or mismatched value returns 409 without accepting deletion.
Path Parameters
Snapshot id returned by the snapshot list/latest calls.
⌘I
Permanently delete snapshot data
